Remotehost Docs

List a project's MCP connections

GET
/orgs/{orgId}/projects/{projectId}/mcp-connections

Authorization

bearerAuth
AuthorizationBearer <token>

A RemoteHost API key (rh_sk_...) or a user session token.

In: header

Path Parameters

orgId*string
projectId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/orgs/string/projects/string/mcp-connections"
{  "connections": [    {      "id": "string",      "org_id": "string",      "project_id": "string",      "name": "string",      "transport": "streamable_http",      "server_url": "string",      "command": "string",      "args": [        "string"      ],      "auth_type": "none",      "auth_status": "not_required",      "enabled": true,      "allowed_tools": [        "string"      ],      "last_used_at": "string",      "created_by": "string",      "listing_id": "string",      "created_at": "string",      "updated_at": "string",      "credential_set": true,      "credential_set_by": "string",      "credential_set_at": "string"    }  ]}